org.flexdock.docking.state

## Interface LayoutManager

- All Known Implementing Classes:
    PerspectiveManager

      public interface LayoutManager

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayoutNode` | `createLayout(DockingPort port)`
    `boolean` | `display(Dockable dockable)`
    `java.lang.String` | `getDefaultPersistenceKey()`
    `DockingState` | `getDockingState(Dockable dockable)`
    `DockingState` | `getDockingState(java.lang.String dockableId)`
    `FloatManager` | `getFloatManager()`
    `boolean` | `load()`
    `boolean` | `load(java.lang.String persistenceKey)`
    `boolean` | `restore(boolean loadFromStorage)`
    `void` | `setDefaultPersistenceKey(java.lang.String key)`
    `boolean` | `store()`
    `boolean` | `store(java.lang.String persistenceKey)`

- - ### Method Detail

    - #### getDockingState

          DockingState getDockingState(java.lang.String dockableId)

    - #### getDockingState

          DockingState getDockingState(Dockable dockable)

    - #### getFloatManager

          FloatManager getFloatManager()

    - #### createLayout

          LayoutNode createLayout(DockingPort port)

    - #### display

          boolean display(Dockable dockable)

    - #### store

          boolean store()
                        throws java.io.IOException,
                               PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### store

          boolean store(java.lang.String persistenceKey)
                        throws java.io.IOException,
                               PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### load

          boolean load()
                       throws java.io.IOException,
                              PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### load

          boolean load(java.lang.String persistenceKey)
                       throws java.io.IOException,
                              PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### restore

          boolean restore(boolean loadFromStorage)
                          throws java.io.IOException,
                                 PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### getDefaultPersistenceKey

          java.lang.String getDefaultPersistenceKey()

    - #### setDefaultPersistenceKey

          void setDefaultPersistenceKey(java.lang.String key)